package com.ruoyi.abuwx.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 题目管理对象 question_info
 *
 * @author lujie
 * @date 2025-01-06
 */
public class QuestionInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 题目信息
     */
    @Excel(name = "题目信息")
    private String title;

    /**
     * 问题类型（单选/多选）
     */
    @Excel(name = "问题类型", readConverterExp = "单=选/多选")
    private String type;

    /**
     * 问题描述
     */
    @Excel(name = "问题描述")
    private String descripiton;

    /**
     * 选项列表
     */
    @Excel(name = "选项列表")
    private String itemList;

    /**
     * 正确选项
     */
    @Excel(name = "正确选项")
    private String correctItem;

    /**
     * 问题解析
     */
    @Excel(name = "问题解析")
    private String analysis;

    /**
     * 题目分类
     */
    @Excel(name = "题目分类")
    private String categoryId;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

    public void setDescripiton(String descripiton) {
        this.descripiton = descripiton;
    }

    public String getDescripiton() {
        return descripiton;
    }

    public void setItemList(String itemList) {
        this.itemList = itemList;
    }

    public String getItemList() {
        return itemList;
    }

    public void setCorrectItem(String correctItem) {
        this.correctItem = correctItem;
    }

    public String getCorrectItem() {
        return correctItem;
    }

    public void setAnalysis(String analysis) {
        this.analysis = analysis;
    }

    public String getAnalysis() {
        return analysis;
    }

    public void setCategoryId(String categoryId) {
        this.categoryId = categoryId;
    }

    public String getCategoryId() {
        return categoryId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("title", getTitle())
                .append("type", getType())
                .append("descripiton", getDescripiton())
                .append("itemList", getItemList())
                .append("correctItem", getCorrectItem())
                .append("analysis", getAnalysis())
                .append("categoryId", getCategoryId())
                .append("remark", getRemark())
                .append("createTime", getCreateTime())
                .append("updateTime", getUpdateTime())
                .append("createBy", getCreateBy())
                .append("updateBy", getUpdateBy())
                .toString();
    }
}
